%define url_ver %(echo %{version}|cut -d. -f2,3)

Name: libktorrent
Version: 1.3.1
Release: %mkrel 1
Summary: BitTorrent program for KDE
Group: Networking/File transfer
License: GPLv2+
Url: http://ktorrent.org/
Source0: http://ktorrent.org/downloads/4.%{url_ver}/%{name}-%{version}.tar.bz2
BuildRequires: gmp-devel
BuildRequires: kdelibs4-devel
BuildRequires: qca2-devel >= 2.0.1
BuildRequires: boost-devel
BuildRequires: libgcrypt-devel

%description
KTorrent is a BitTorrent program for KDE. It's main features are:
 o Downloads torrent files
 o Upload speed capping, seeing that most people can't upload
   infinite amounts of data.
 o Internet searching using  The Bittorrent website's search engine
 o UDP Trackers

#-------------------------------------------------------------------------

%package common
Summary:    Common files of libktorrent
Group:      System/Libraries
BuildArch:  noarch
Conflicts:  lib64ktorrent1 < 1.0.2
Conflicts:  libktorrent1 < 1.0.2

%description common
Common files for libktorrent, used by KTorrent, a BitTorrent program for KDE.

%files common -f %name.lang


#-------------------------------------------------------------------------

%define ktorrent_major 5
%define libktorrent %mklibname ktorrent %ktorrent_major

%package -n %libktorrent
Summary:    Ktorrent libbrary
Group:      System/Libraries
Requires:   libktorrent-common >= %{version}

%description -n %libktorrent
KTorrent is a BitTorrent program for KDE. It's main features are:
 o Downloads torrent files
 o Upload speed capping, seeing that most people can't upload
   infinite amounts of data.
 o Internet searching using  The Bittorrent website's search engine
 o UDP Trackers

%files -n %libktorrent
%_kde_libdir/libktorrent.so.%{ktorrent_major}*

#-------------------------------------------------------------------------

%package devel
Summary: Ktorrent plugin devel headers
Group: Networking/File transfer
Requires: %{libktorrent} = %{version}

%description devel
Ktorrent plugin devel headers.

%files devel
%{_kde_includedir}/*
%{_kde_appsdir}/cmake/*/*
%{_kde_libdir}/*.so

#-------------------------------------------------------------------------

%prep
%setup -q -n %{name}-%{version}

%build
%cmake_kde4 
%make
 
%install
%makeinstall_std -C build

%find_lang %{name}



%changelog

* Thu Jan 31 2013 neoclust <neoclust> 1.3.1-1.mga3
+ Revision: 393630
- New Bugfix version

* Sat Jan 12 2013 umeabot <umeabot> 1.3.0-2.mga3
+ Revision: 357621
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 01 2012 fwang <fwang> 1.3.0-1.mga3
+ Revision: 286997
- update libmajor
- fix tarbll dir
- new version 1.3.0

* Wed Jun 13 2012 fwang <fwang> 1.2.1-1.mga3
+ Revision: 260163
- update tarball
- new version 1.2.1

* Tue Mar 06 2012 fwang <fwang> 1.2.0-1.mga2
+ Revision: 219455
- new version 1.2.0 final

* Wed Jan 11 2012 juancho <juancho> 1.2-0.rc1.1.mga2
+ Revision: 195008
- Added missing libgcrypt-devel BR
- Updated to 4.2rc1
- Did some cleanup (removed buildroot and defattr stuff)

* Wed Nov 23 2011 fwang <fwang> 1.1.3-1.mga2
+ Revision: 171232
- new version 1.1.3
- new version 1.1.2

* Thu Jun 16 2011 fwang <fwang> 1.1.1-1.mga2
+ Revision: 108083
- new version 1.1.1

* Sat Apr 09 2011 dmorgan <dmorgan> 1.1.0-1.mga1
+ Revision: 82544
- Fix libktorrent soname
- New version 1.1.0

* Wed Jan 26 2011 ahmad <ahmad> 1.0.5-2.mga1
+ Revision: 41385
- imported package libktorrent


* Wed Dec 29 2010 Funda Wang <fwang@mandriva.org> 1.0.5-1mdv2011.0
+ Revision: 625975
- new version 1.0.5

* Mon Oct 18 2010 Funda Wang <fwang@mandriva.org> 1.0.4-1mdv2011.0
+ Revision: 586558
- new version 1.0.4

* Mon Aug 30 2010 Funda Wang <fwang@mandriva.org> 1.0.3-1mdv2011.0
+ Revision: 574252
- new version 1.0.3

* Sat Jul 10 2010 Anssi Hannula <anssi@mandriva.org> 1.0.2-2mdv2011.0
+ Revision: 550161
- split localization to libktorrent-common to avoid file conflicts
  (Andrey Borzenkov)

* Sat Jul 10 2010 Funda Wang <fwang@mandriva.org> 1.0.2-1mdv2011.0
+ Revision: 549947
- new libmajor
- new version 1.0.2

* Tue Jun 15 2010 Funda Wang <fwang@mandriva.org> 1.0.1-1mdv2010.1
+ Revision: 548052
- New version 1.0.1

* Tue May 25 2010 Funda Wang <fwang@mandriva.org> 1.0.0-1mdv2010.1
+ Revision: 545839
- New version 1.0.0
- drop unneeded BRs

* Tue May 04 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.0-0.rc1.1mdv2010.1
+ Revision: 542004
- import libktorrent


